Subject: Re: SIP 3rd-party call creation?

From: [email-masked]
Date: Tue, 11 Jan 2000 14:18:35 -0600

Jon,

Yes, and the worst case is a Palm which is only present
for a small part of a call.  Please check out
http://www.normos.org/ietf/draft/draft-dean-phonectl-00.txt
and let me know what you think.

--
Rick
[email-masked]

[email-masked] wrote:
> 
> Has any consideration been given to uninvolved third parties originating
> sessions between two SIP endpoints?
> 
> If I might provide a clarifying example without endorsing the described
> implementation - given two users A and B, each of whom has a SIP phone, and
> an automated entity C (the third party): C somehow decides that a session
> should be initiated between A and B, and thus sends an INVITE to A which,
> due to special properties and/or headers, does not result in a session
> between A and C, but rather prompts A to send a new INVITE to B after some
> sort of approval on A's part. Subsequently C might or might not maintain a
> relationship with A throughout the session establishment, and so forth.
> 
> I haven't been able to find any existing work that addresses this sort of
> situation; has something been written on this that I've missed? The SIP Call
> Control Services document covers some nearby territory (the Requested-By and
> Also headers could be relevant), but I don't think, from my reading of the
> document, that it endorses third-party call setup unless the third party is
> a participant in the session.
> 
> If this hasn't been explored to date, what is the prevailing opinion on
> third-party session initiation? Is it something to which SIP can and should
> be applied? Are the accounting and security issues too damaging?
> 
> Jon Peterson